Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom.zdas
Class DasMessage

    java.lang.Object
      com.fxcm.fix.custom.zdas.DasMessage

All Implemented Interfaces:
  IFixDefs, IFixFieldDefs, IFixMsgTypeDefs, IFixValueDefs, ITransportable

Direct Known Subclasses:
  DasMessage

    public class DasMessage

extends Object
implements ITransportable, IFixDefs

This entity represents message sent by MessageFeed. Also this object implements ITransportable interface so it can be converted to message.

Field Summary
`static int` | `ACTION_DELETE` Action Code constant: Delete
`static int` | `ACTION_INSERT` Action Code constant: Insert
`static int` | `ACTION_UNKNOWN` Action Code constant: Unknown
`static int` | `ACTION_UPDATE` Action Code constant: Update
`static int` | `CODE_END` Code constant: End code
`static int` | `CODE_ERROR` Code constant: Error code
`static int` | `CODE_OK` Code constant: OK code
`static int` | `CODE_TIMEOUT` Code constant: Timeout code
`static int` | `CODE_UNKNOWN` Code constant: Unknown code
`static int` | `KIND_BROADCAST` Kind constant: Broadcast message kind
`static int` | `KIND_DEBUG` Kind constant: Debug message kind
`static int` | `KIND_OBJECT` Kind constant: Object message kind
`static int` | `KIND_REGULAR` Kind constant: Regular message kind
`static int` | `KIND_UNKNOWN` Kind constant: Unknown kind
`static com.fxcm.entity.ICode` | `OBJ_TYPE` Entity object type
`static int` | `OBJTYPE_ACCT` object type of message.
`static int` | `OBJTYPE_CLSDOPTIONE` object type of message.
`static int` | `OBJTYPE_CLSDOPTIONV` object type of message.
`static int` | `OBJTYPE_CLSDTRADE` object type of message.
`static int` | `OBJTYPE_COMMIT`
`static int` | `OBJTYPE_INSTRMT` object type of message.
`static int` | `OBJTYPE_LOGON` object type of message.
`static int` | `OBJTYPE_MAIL` object type of message.
`static int` | `OBJTYPE_OFFER` object type of message.
`static int` | `OBJTYPE_OPNOPTIONE` object type of message.
`static int` | `OBJTYPE_OPNOPTIONV` object type of message.
`static int` | `OBJTYPE_ORDER` object type of message.
`static int` | `OBJTYPE_PARAM` object type of message.
`static int` | `OBJTYPE_RFQ` object type of message.
`static int` | `OBJTYPE_TRADE` object type of message.
`static int` | `OBJTYPE_UNKNOWN` object type of message.
`static int` | `OPTION_CLIENTEXTRA` Action Code constant: Unknown
`static int` | `OPTION_SERVEREXTRA` Action Code constant: Update
`static String` | `SERVICEKIND_DELIVERED`
`static String` | `SERVICEKIND_DUMMY`
`static String` | `SERVICEKIND_SERVICE`
`static String` | `SERVICEKIND_TRADING`

Fields inherited from interface com.fxcm.fix.IFixDefs
`CHANNEL_COLLATERAL_REPORT, CHANNEL_EMAIL, CHANNEL_EXECUTION_REPORT, CHANNEL_MARKET_DATA, CHANNEL_NEWS, CHANNEL_OTHER, CHANNEL_POSITION_REPORT, CHANNEL_RFQ, CHANNEL_SECURITY_STATUS, CHANNEL_SETTING_ALL, CHANNEL_SETTING_DEFAULT, CHANNEL_TRADING_DATA, CHANNEL_TRADING_SESSION_STATUS, FXCMTIMINGINTERVAL_AUX_HOUR1, FXCMTIMINGINTERVAL_AUX_HOUR2, FXCMTIMINGINTERVAL_AUX_HOUR3, FXCMTIMINGINTERVAL_AUX_HOUR4, FXCMTIMINGINTERVAL_AUX_HOUR6, FXCMTIMINGINTERVAL_AUX_HOUR8, FXCMTIMINGINTERVAL_STORAGE_DAY1, FXCMTIMINGINTERVAL_STORAGE_HOUR1, FXCMTIMINGINTERVAL_STORAGE_HOUR2, FXCMTIMINGINTERVAL_STORAGE_HOUR3, FXCMTIMINGINTERVAL_STORAGE_HOUR4, FXCMTIMINGINTERVAL_STORAGE_HOUR6, FXCMTIMINGINTERVAL_STORAGE_HOUR8, FXCMTIMINGINTERVAL_STORAGE_MIN1, FXCMTIMINGINTERVAL_STORAGE_MIN15, FXCMTIMINGINTERVAL_STORAGE_MIN30, FXCMTIMINGINTERVAL_STORAGE_MIN5, FXCMTIMINGINTERVAL_STORAGE_MONTH1, FXCMTIMINGINTERVAL_STORAGE_TICK, FXCMTIMINGINTERVAL_STORAGE_WEEK1`

Fields inherited from interface com.fxcm.fix.IFixValueDefs
`ACCT_TYPE_CUSTOMER_SIDE_OF_BOOKS, BUSINESSREJECTREASON_APPLICATION_NOT_AVAILABLE, BUSINESSREJECTREASON_CONDITIONALLY_REQUIRED_FIELD_MISSING, BUSINESSREJECTREASON_NOT_AUTHORIZED, BUSINESSREJECTREASON_OTHER, BUSINESSREJECTREASON_UNKNOWN_ID, BUSINESSREJECTREASON_UNKNOWN_SECURITY, BUSINESSREJECTREASON_UNSUPPORTED_MESSAGE_TYPE, CLORDLINKID_CONTINGENT, CLORDLINKID_PRIMARY, COLLATERAL_STATUS_UNASSIGNED, COLLINQUIRYRESULT_COLLATERAL_INQUIRY_TYPE_NOT_SUPPORTED, COLLINQUIRYRESULT_INVALID_DESTINATION_REQUESTED, COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_COLLATERAL_TYPE, COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_INSTRUMENT, COLLINQUIRYRESULT_INVALID_PARTIES, COLLINQUIRYRESULT_INVALID_TRANSPORT_TYPE_REQUESTED, COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_ORDER_SPECIFIED, COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_TRADE_SPECIFIED, COLLINQUIRYRESULT_OTHER, COLLINQUIRYRESULT_SUCCESSFUL, COLLINQUIRYRESULT_UNAUTHORIZED_FOR_COLLATERAL_INQUIRY, COLLINQUIRYSTATUS_ACCEPTED, COLLINQUIRYSTATUS_COMPLETED, COLLINQUIRYSTATUS_REJECTED, CONTINGENCYTYPE_ELS, CONTINGENCYTYPE_OCO, CONTINGENCYTYPE_OTO, CONTINGENCYTYPE_OTOCO, CXLREJREASON_OTHER, CXLREJREASON_TOO_LATE_TO_CANCEL, CXLREJREASON_UNKNOWN_ORDER, CXLREJRESPONSETO_ORDER_CANCEL_REPLACE_REQUEST, CXLREJRESPONSETO_ORDER_CANCEL_REQUEST, EMAILTYPE_ADMIN_REPLY, EMAILTYPE_NEW, EMAILTYPE_REPLY, EXECTYPE_ORDER_STATUS, EXECTYPE_TRADE, FXCM_ACCT_TYPE_CLEARING, FXCM_ACCT_TYPE_CONTROLLED, FXCM_ACCT_TYPE_MANAGER, FXCM_SESSION_TYPE_CUSTOMER, FXCM_SESSION_TYPE_DEALER, FXCM_SESSION_TYPE_TRADER, FXCMCONTINUOUS_END, FXCMCONTINUOUS_PACKET, FXCMCONTINUOUS_SINGLE, FXCMORDSTATUS_CANCELLED, FXCMORDSTATUS_DEALERINTERVENTION, FXCMORDSTATUS_EXECUTED, FXCMORDSTATUS_EXECUTING, FXCMORDSTATUS_EXPIRED, FXCMORDSTATUS_INPROCESS, FXCMORDSTATUS_PENDING_CALCULATED, FXCMORDSTATUS_PENDING_CANCEL, FXCMORDSTATUS_PENDING_CANCEL_CALCULATED, FXCMORDSTATUS_REJECTED, FXCMORDSTATUS_REQUOTED, FXCMORDSTATUS_WAITING, FXCMORDTYPE_CLOSE, FXCMORDTYPE_CLOSE_LIMIT, FXCMORDTYPE_CLOSE_MARKET, FXCMORDTYPE_CLOSE_PHONE, FXCMORDTYPE_CLOSE_RANGE, FXCMORDTYPE_CLOSE_REQUOTE, FXCMORDTYPE_ENTRY_LIMIT, FXCMORDTYPE_ENTRY_STOP, FXCMORDTYPE_EQUITY_STOP, FXCMORDTYPE_LIMIT, FXCMORDTYPE_LIMIT_TRAILING_ENTRY, FXCMORDTYPE_MARGIN_CALL, FXCMORDTYPE_OPEN, FXCMORDTYPE_OPEN_LIMIT, FXCMORDTYPE_OPEN_MARKET, FXCMORDTYPE_OPEN_PHONE, FXCMORDTYPE_OPEN_RANGE, FXCMORDTYPE_OPEN_REQUOTE, FXCMORDTYPE_RFQ, FXCMORDTYPE_STOP, FXCMORDTYPE_STOP_TRAILING_ENTRY, FXCMORDTYPE_TRAILING_LIMIT, FXCMORDTYPE_TRAILING_STOP, FXCMPRODUCTID_BULLION, FXCMPRODUCTID_COMMODITY, FXCMPRODUCTID_FOREX, FXCMPRODUCTID_INDEX, FXCMPRODUCTID_TREASURY, FXCMREQUESTREJECTREASON_DATA_NOT_FOUND, FXCMREQUESTREJECTREASON_GENERIC, FXCMREQUESTREJECTREASON_OTHER, FXCMREQUESTREJECTREASON_TRADING_SESSION_NOT_FOUND, FXCMREQUESTREJECTREASON_UNKNOWN, FXCMSUBSCRIPTIONSTATUS_SUBSCRIBE, FXCMSUBSCRIPTIONSTATUS_UNSUBSCRIBE, FXCMTIMINGINTERVAL_DAY1, FXCMTIMINGINTERVAL_HOUR1, FXCMTIMINGINTERVAL_MIN1, FXCMTIMINGINTERVAL_MIN15, FXCMTIMINGINTERVAL_MIN30, FXCMTIMINGINTERVAL_MIN5, FXCMTIMINGINTERVAL_MONTH1, FXCMTIMINGINTERVAL_TICK, FXCMTIMINGINTERVAL_WEEK1, MARGIN_CALL_FLAG_NO, MARGIN_CALL_FLAG_YES, MDENTRYTYPE_ASK, MDENTRYTYPE_ASKCLOSE, MDENTRYTYPE_ASKHIGH, MDENTRYTYPE_ASKLOW, MDENTRYTYPE_ASKOPEN, MDENTRYTYPE_BID, MDENTRYTYPE_BIDCLOSE, MDENTRYTYPE_BIDHIGH, MDENTRYTYPE_BIDLOW, MDENTRYTYPE_BIDOPEN, MDENTRYTYPE_HIGH, MDENTRYTYPE_LOW, MDENTRYTYPE_TICKVOLUME, MDREQREJREASON_DUPLICATEDMDREQID, MDREQREJREASON_MDENTRYTYPE, MDREQREJREASON_PERMISSIONS, MDREQREJREASON_SUBSCRIPTIONREQUESTTYPE, MDREQREJREASON_TRADINGSESSIONID, MDREQREJREASON_UNKNOWNSYMBOL, MDREQREJREASON_UNSUPPORTEDSCOPE, MDUPDATEACTION_DELETE, MDUPDATEACTION_NEW, MDUPDATEACTION_UPDATE, MDUPDATETYPE_FULLREFRESH, MDUPDATETYPE_INCREMENTALREFRESH, ORDREJREASON_BROKER_EXCHANGE_OPTION, ORDREJREASON_DUPLICATE_ORDER, ORDREJREASON_DUPLICATE_VERBAL_ORDER, ORDREJREASON_EXCHANGE_CLOSED, ORDREJREASON_INCORRECT_ALLOCATED_QUANTITY, ORDREJREASON_INCORRECT_QUANTITY, ORDREJREASON_INVALID_INVESTOR_ID, ORDREJREASON_ORDER_EXCEEDS_LIMIT, ORDREJREASON_OTHER, ORDREJREASON_STALE_ORDER, ORDREJREASON_SURVEILLENCE_OPTION, ORDREJREASON_TOO_LATE_TO_ENTER, ORDREJREASON_TRADE_ALONG_REQUIRED, ORDREJREASON_UNKNOWN_ACCOUNT, ORDREJREASON_UNKNOWN_ORDER, ORDREJREASON_UNKNOWN_SYMBOL, ORDREJREASON_UNSUPPORTED_ORDER_CHARACTERISTIC, ORDSTATUS_ACCEPTED_FOR_BIDDING, ORDSTATUS_CALCULATED, ORDSTATUS_CANCELLED, ORDSTATUS_DONE_FOR_DAY, ORDSTATUS_EXPIRED, ORDSTATUS_FILLED, ORDSTATUS_NEW, ORDSTATUS_PARTIALLY_FILLED, ORDSTATUS_PENDING_CANCEL, ORDSTATUS_PENDING_NEW, ORDSTATUS_PENDING_REPLACE, ORDSTATUS_REJECTED, ORDSTATUS_REPLACED, ORDSTATUS_STOPPED, ORDSTATUS_SUSPENDED, ORDTYPE_LIMIT, ORDTYPE_MARKET, ORDTYPE_PEG, ORDTYPE_PREVIOUSLY_INDICATED, ORDTYPE_PREVIOUSLY_QUOTED, ORDTYPE_STOP, ORDTYPE_STOP_LIMIT, PEGMOVETYPE_FIXED, PEGMOVETYPE_FLOATING, PEGOFFSETTYPE_BASIS_POINTS, PEGOFFSETTYPE_PRICE, PEGOFFSETTYPE_PRICE_TIER, PEGOFFSETTYPE_TICKS, PEGPRICETYPE_MARKET, PEGPRICETYPE_OPENING, POS_REQ_RESULT_INVALID, POS_REQ_RESULT_NOTAUTHORIZED, POS_REQ_RESULT_NOTFOUND, POS_REQ_RESULT_NOTSUPPORTED, POS_REQ_RESULT_OTHER, POS_REQ_RESULT_VALID, POSREQRESULT_INVALID_OR_UNSUPPORTED_REQUEST, POSREQRESULT_NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA, POSREQRESULT_NOT_AUTHORIZED_TO_REQUEST_POSITIONS, POSREQRESULT_OTHER, POSREQRESULT_REQUEST_FOR_POSITION_NOT_SUPPORTED, POSREQRESULT_VALID_REQUEST, POSREQSTATUS_COMPLETED, POSREQSTATUS_REJECTED, POSREQTYPE_POSITIONS, POSREQTYPE_TRADES, PRODUCT_AGENCY, PRODUCT_COMMODITY, PRODUCT_CORPORATE, PRODUCT_CURRENCY, PRODUCT_EQUITY, PRODUCT_FINANCING, PRODUCT_GOVERNMENT, PRODUCT_INDEX, PRODUCT_LOAN, PRODUCT_MONEYMARKET, PRODUCT_MORTGAGE, PRODUCT_MUNICIPAL, PRODUCT_OTHER, QUOTECONDITION_ACTIVE, QUOTECONDITION_INACTIVE, QUOTERESPTYPE_PASS, QUOTETYPE_INDICATIVE, QUOTETYPE_TRADEABLE, SETTL_PRICE_TYPE_FINAL, SIDE_BUY, SIDE_SELL, SIDE_UNDISCLOSED, SUBSCRIPTIONREQUESTTYPE_SNAPSHOT, SUBSCRIPTIONREQUESTTYPE_SUBSCRIBE, SUBSCRIPTIONREQUESTTYPE_UNSUBSCRIBE, TIMEINFORCE_DAY, TIMEINFORCE_FILL_OR_KILL, TIMEINFORCE_GOOD_TILL_CANCEL, TIMEINFORCE_GOOD_TILL_DATE, TIMEINFORCE_IMMEDIATE_OR_CANCEL, TRADSESMODE_PRODUCTION, TRADSESMODE_SIMULATED, TRADSESMODE_TESTING, TRADSESSTATUS_CLOSED, TRADSESSTATUS_HALTED, TRADSESSTATUS_OPEN, TRADSESSTATUS_PRECLOSE, TRADSESSTATUS_PREOPEN, TRADSESSTATUS_REQUESTREJECTED, TRADSESSTATUS_UNKNOWN, TRADSESSTATUSREJREASON_OTHER, TRADSESSTATUSREJREASON_UNKNOWN_OR_INVALID_TRADINGSESSIONID, URGENCY_BACKGROUND, URGENCY_FLASH, URGENCY_NORMAL, USERREQUESTTYPE_ATTACHSESSION, USERREQUESTTYPE_CHANGEPASSWORD, USERREQUESTTYPE_LISTOFSESSIONS, USERREQUESTTYPE_LOADSESSION, USERREQUESTTYPE_LOGOFFUSER, USERREQUESTTYPE_LOGONUSER, USERREQUESTTYPE_LOGONUSER2, USERREQUESTTYPE_USERSTATUS, USERSTATUS_LOGGEDIN, USERSTATUS_NOTLOGGEDIN, USERSTATUS_OTHER, USERSTATUS_PASSWORDCHANGED, USERSTATUS_PASSWORDINCORRECT, USERSTATUS_USERNOTRECOGNISED`

Fields inherited from interface com.fxcm.fix.IFixMsgTypeDefs
`MSGTYPE_BUSINESSMESSAGEREJECT, MSGTYPE_COLLATERALINQUIRY, MSGTYPE_COLLATERALINQUIRYACK, MSGTYPE_COLLATERALREPORT, MSGTYPE_EMAIL, MSGTYPE_EXECUTION_REPORT, MSGTYPE_FXCMDASMESSAGE, MSGTYPE_FXCMMDSRESPONSEBATCH, MSGTYPE_FXCMNEWSREQUEST, MSGTYPE_FXCMNEWSTOPICREQUEST, MSGTYPE_FXCMNEWSTOPICRESPONSE, MSGTYPE_FXCMREQUEST, MSGTYPE_FXCMREQUESTBATCH, MSGTYPE_FXCMREQUESTREJECT, MSGTYPE_FXCMRESPONSE, MSGTYPE_FXCMRESPONSEBATCH, MSGTYPE_HEARTBEAT, MSGTYPE_LOGON, MSGTYPE_LOGOUT, MSGTYPE_MARKETDATAREQUEST, MSGTYPE_MARKETDATAREQUESTREJECT, MSGTYPE_MARKETDATASNAPSHOTFULLREFRESH, MSGTYPE_MARKETDATASNAPSHOTINCREMENTALREFRESH, MSGTYPE_NEWS, MSGTYPE_ORDERCANCELREJECT, MSGTYPE_ORDERCANCELREPLACEREQUEST, MSGTYPE_ORDERCANCELREQUEST, MSGTYPE_ORDERLIST, MSGTYPE_ORDERMASSSTATUSREQUEST, MSGTYPE_ORDERSINGLE, MSGTYPE_ORDERSTATUSREQUEST, MSGTYPE_POSITIONREPORT, MSGTYPE_QUOTE, MSGTYPE_QUOTE_REQUEST, MSGTYPE_QUOTE_REQUESTREJECT, MSGTYPE_QUOTE_RESPONSE, MSGTYPE_QUOTECANCEL, MSGTYPE_REQUESTFORPOSITIONS, MSGTYPE_REQUESTFORPOSITIONSACK, MSGTYPE_SECURITYLIST, MSGTYPE_SECURITYLISTREQUEST, MSGTYPE_SECURITYSTATUS, MSGTYPE_SECURITYSTATUSREQUEST, MSGTYPE_TESTREQUEST, MSGTYPE_TRADINGSESSIONSTATUS, MSGTYPE_TRADINGSESSIONSTATUSREQUEST, MSGTYPE_USERREQUEST, MSGTYPE_USERRESPONSE`

Fields inherited from interface com.fxcm.fix.IFixFieldDefs
`FLDTAG_ACCOUNT, FLDTAG_ACCTIDSOURCE, FLDTAG_ACCTTYPE, FLDTAG_AVGPX, FLDTAG_BATCHREQUEST_BATCHRESPONSE, FLDTAG_BIDTYPE, FLDTAG_BUSINESSREJECTREASON, FLDTAG_BUSINESSREJECTREFID, FLDTAG_CASHOUTSTANDING, FLDTAG_CFICODE, FLDTAG_CLEARINGBUSINESSDATE, FLDTAG_CLORDID, FLDTAG_CLORDLINKID, FLDTAG_COLLINQUIRYID, FLDTAG_COLLINQUIRYRESULT, FLDTAG_COLLINQUIRYSTATUS, FLDTAG_COLLRPTID, FLDTAG_COLLSTATUS, FLDTAG_COMMISSION, FLDTAG_CONTINGENCYTYPE, FLDTAG_CONTRACTMULTIPLIER, FLDTAG_CUMQTY, FLDTAG_CURRENCY, FLDTAG_CURRENTVOLUME, FLDTAG_CURRENTVOLUME_TIME, FLDTAG_CXLREJREASON, FLDTAG_CXLREJRESPONSETO, FLDTAG_EFFECTIVETIME, FLDTAG_EMAILTHREADID, FLDTAG_EMAILTYPE, FLDTAG_EMBMSG, FLDTAG_ENDCASH, FLDTAG_ENTITYCODE, FLDTAG_EXECID, FLDTAG_EXECINSTR, FLDTAG_EXECTYPE, FLDTAG_EXPIREDATE, FLDTAG_EXPIRETIME, FLDTAG_FACTOR, FLDTAG_FXCMATTACHSESSION_SID, FLDTAG_FXCMCASHDAILY, FLDTAG_FXCMCLIENTEXTRA, FLDTAG_FXCMCLOSECLORDID, FLDTAG_FXCMCLOSEORDERID, FLDTAG_FXCMCLOSESECONDARYCLORDID, FLDTAG_FXCMCLOSESETTLPRICE, FLDTAG_FXCMCOMMANDID, FLDTAG_FXCMCONDDISTENTRYLIMIT, FLDTAG_FXCMCONDDISTENTRYSTOP, FLDTAG_FXCMCONDDISTLIMIT, FLDTAG_FXCMCONDDISTSTOP, FLDTAG_FXCMCONTINGENCYID, FLDTAG_FXCMCONTINUOUSFLAG, FLDTAG_FXCMDASMESSAGE_ACCTID, FLDTAG_FXCMDASMESSAGE_ACTION, FLDTAG_FXCMDASMESSAGE_CODE, FLDTAG_FXCMDASMESSAGE_KIND, FLDTAG_FXCMDASMESSAGE_LID1, FLDTAG_FXCMDASMESSAGE_LID2, FLDTAG_FXCMDASMESSAGE_MSGIDEXT, FLDTAG_FXCMDASMESSAGE_OBJID, FLDTAG_FXCMDASMESSAGE_OBJTYPE, FLDTAG_FXCMDASMESSAGE_PRICESTREAM, FLDTAG_FXCMDASMESSAGE_SID, FLDTAG_FXCMDASMESSAGE_SRVKIND, FLDTAG_FXCMDBALIAS, FLDTAG_FXCMENDDATE, FLDTAG_FXCMENDTIME, FLDTAG_FXCMERRORDETAILS, FLDTAG_FXCMINCLUDEWEEKENDS, FLDTAG_FXCMMARGINCALL, FLDTAG_FXCMMAXNORESULTS, FLDTAG_FXCMMAXQUANTITY, FLDTAG_FXCMMDENTRYAMOUNT, FLDTAG_FXCMMDENTRYLIST, FLDTAG_FXCMMDLADDERID, FLDTAG_FXCMMDORIGINATOR, FLDTAG_FXCMMDPRICELADDERS, FLDTAG_FXCMMDQUOTEDATETIME, FLDTAG_FXCMMDQUOTEEXPIREDATETIME, FLDTAG_FXCMMDQUOTES, FLDTAG_FXCMMINQUANTITY, FLDTAG_FXCMMSGID, FLDTAG_FXCMNADDONTEXT, FLDTAG_FXCMNOADDON, FLDTAG_FXCMNOPARAM, FLDTAG_FXCMNOPRICESTREAM, FLDTAG_FXCMNOSNAPSHOT, FLDTAG_FXCMORDSTATUS, FLDTAG_FXCMORDTYPE, FLDTAG_FXCMPAGEID, FLDTAG_FXCMPAGEIDNO, FLDTAG_FXCMPAGEVIEWID, FLDTAG_FXCMPAGEVIEWLIFETIME, FLDTAG_FXCMPARAMNAME, FLDTAG_FXCMPARAMVALUE, FLDTAG_FXCMPEGFLUCTUATEPTS, FLDTAG_FXCMPOSCLOSEPNL, FLDTAG_FXCMPOSCLOSETIME, FLDTAG_FXCMPOSCOMMISSION, FLDTAG_FXCMPOSID, FLDTAG_FXCMPOSIDREF, FLDTAG_FXCMPOSINTEREST, FLDTAG_FXCMPOSOPENTIME, FLDTAG_FXCMPRICESTREAMID, FLDTAG_FXCMPRICESTREAMNAME, FLDTAG_FXCMPRODUCTID, FLDTAG_FXCMREQUESTREJECT, FLDTAG_FXCMSERVERTIMEZONE, FLDTAG_FXCMSERVERTIMEZONENAME, FLDTAG_FXCMSESSIONMANAGERID, FLDTAG_FXCMSTART, FLDTAG_FXCMSTARTDATE, FLDTAG_FXCMSTARTTIME, FLDTAG_FXCMSUBSCRIPTIONSTATUS, FLDTAG_FXCMSYMID, FLDTAG_FXCMSYMINTERESTBUY, FLDTAG_FXCMSYMINTERESTSELL, FLDTAG_FXCMSYMMARGINRATIO, FLDTAG_FXCMSYMPOINTSIZE, FLDTAG_FXCMSYMPRECISION, FLDTAG_FXCMSYMSORTORDER, FLDTAG_FXCMTIMINGINTERVAL, FLDTAG_FXCMTIMINGINTERVAL_AUX, FLDTAG_FXCMTOPICID1, FLDTAG_FXCMTOPICID2, FLDTAG_FXCMTOPICID3, FLDTAG_FXCMTOPICID4, FLDTAG_FXCMTOPICID5, FLDTAG_FXCMTRADINGSTATUS, FLDTAG_FXCMUSEDMARGIN, FLDTAG_FXCMUSEDMARGIN3, FLDTAG_HEADLINE, FLDTAG_LASTPX, FLDTAG_LASTQTY, FLDTAG_LASTRPTREQUESTED, FLDTAG_LEAVESQTY, FLDTAG_LEGPRICE, FLDTAG_LINESOFTEXT, FLDTAG_LISTID, FLDTAG_LISTSEQNO, FLDTAG_LONGQTY, FLDTAG_MARGINRATIO, FLDTAG_MARKETDEPTH, FLDTAG_MASSSTATUSREQID, FLDTAG_MASSSTATUSREQTYPE, FLDTAG_MDENTRYDATE, FLDTAG_MDENTRYID, FLDTAG_MDENTRYORIGINATOR, FLDTAG_MDENTRYPX, FLDTAG_MDENTRYSIZE, FLDTAG_MDENTRYTIME, FLDTAG_MDENTRYTYPE, FLDTAG_MDREQID, FLDTAG_MDREQREJREASON, FLDTAG_MDUPDATEACTION, FLDTAG_MDUPDATETYPE, FLDTAG_MSGSEQNUM, FLDTAG_MSGTYPE, FLDTAG_NEWPASSWORD, FLDTAG_NOLEGS, FLDTAG_NOMDENTRIES, FLDTAG_NOMDENTRYTYPES, FLDTAG_NOORDERS, FLDTAG_NOPARTYIDS, FLDTAG_NOPARTYSUBIDS, FLDTAG_NOPOSAMT, FLDTAG_NOPOSITIONS, FLDTAG_NORELATEDSYM, FLDTAG_NOTRADINGSESSIONS, FLDTAG_OPENCLOSESETTLFLAG, FLDTAG_ORDER_QTY, FLDTAG_ORDER_QTY2, FLDTAG_ORDER_REJECTION_REASON, FLDTAG_ORDERID, FLDTAG_ORDERPERCENT, FLDTAG_ORDERSTATUS, FLDTAG_ORDERSTATUSREQID, FLDTAG_ORDTYPE, FLDTAG_ORIGCLORDID, FLDTAG_ORIGORDMODTIME, FLDTAG_ORIGTIME, FLDTAG_PARTY_ROLE, FLDTAG_PARTYID, FLDTAG_PARTYID_SOURCE, FLDTAG_PARTYSUBID, FLDTAG_PARTYSUBIDTYPE, FLDTAG_PASSWORD, FLDTAG_PEGLIMITTYPE, FLDTAG_PEGMOVETYPE, FLDTAG_PEGOFFSETTYPE, FLDTAG_PEGOFFSETVALUE, FLDTAG_PEGPRICETYPE, FLDTAG_PEGROUNDDIRECTION, FLDTAG_PEGSCOPE, FLDTAG_POSAMT, FLDTAG_POSAMTTYPE, FLDTAG_POSMAINTRPTID, FLDTAG_POSREQID, FLDTAG_POSREQRESULT, FLDTAG_POSREQSTATUS, FLDTAG_POSREQTYPE, FLDTAG_POSTYPE, FLDTAG_PREVCLOSEPX, FLDTAG_PRICE, FLDTAG_PRIORSETTLPRICE, FLDTAG_PRODUCT, FLDTAG_QUANTITY, FLDTAG_QUOTE_BIDPX, FLDTAG_QUOTE_ID, FLDTAG_QUOTE_OFFERPX, FLDTAG_QUOTE_REQ_ID, FLDTAG_QUOTE_REQUEST_REJECT_REASON, FLDTAG_QUOTE_RESP_ID, FLDTAG_QUOTE_RESP_TYPE, FLDTAG_QUOTECANCELTYPE, FLDTAG_QUOTECONDITION, FLDTAG_QUOTEENTRYID, FLDTAG_QUOTETYPE, FLDTAG_RAWDATA, FLDTAG_RAWDATALENGTH, FLDTAG_REFMSGTYPE, FLDTAG_REPEAT_COUNTER, FLDTAG_RESPONSE_FORMAT, FLDTAG_RESPONSEENCODING, FLDTAG_ROUNDLOT, FLDTAG_SECONDARYCLORDID, FLDTAG_SECONDARYORDERID, FLDTAG_SECURITYLISTREQUESTTYPE, FLDTAG_SECURITYREQID, FLDTAG_SECURITYREQUESTRESULT, FLDTAG_SECURITYRESPONSEID, FLDTAG_SECURITYSTATUSREQID, FLDTAG_SECURITYTYPE, FLDTAG_SETTLDATE, FLDTAG_SETTLPRICE, FLDTAG_SETTLPRICETYPE, FLDTAG_SETTLTYPE, FLDTAG_SHORTQTY, FLDTAG_SIDE, FLDTAG_STARTCASH, FLDTAG_STOPPX, FLDTAG_SUBJECT, FLDTAG_SUBSCRIPTIONREQUESTTYPE, FLDTAG_SYMBOL, FLDTAG_TESTREQID, FLDTAG_TEXT, FLDTAG_TIMEINFORCE, FLDTAG_TOTNOORDERS, FLDTAG_TOTNUMPOSREPORTS, FLDTAG_TOTNUMREPORTS, FLDTAG_TRADEDATE, FLDTAG_TRADEORIGINATIONDATE, FLDTAG_TRADINGSESSIONID, FLDTAG_TRADINGSESSIONSUBID, FLDTAG_TRADSESCLOSETIME, FLDTAG_TRADSESMODE, FLDTAG_TRADSESOPENTIME, FLDTAG_TRADSESREQID, FLDTAG_TRADSESSTARTTIME, FLDTAG_TRADSESSTATUS, FLDTAG_TRADSESSTATUSREJREASON, FLDTAG_TRANSACTTIME, FLDTAG_UNSOLICITEDINDICATOR, FLDTAG_URGENCY, FLDTAG_USERNAME, FLDTAG_USERREQUESTID, FLDTAG_USERREQUESTTYPE, FLDTAG_USERSTATUS, FLDTAG_USERSTATUSTEXT, FLDTAG_VALIDUNTILTIME, FLDTAG_WORKINGINDICATOR`

Constructor Summary
`DasMessage()` Creates object with default state.

Method Summary
`boolean` | `fill(DasMessage aMsg)` Fills object state based on message.
`boolean` | `fill(IMessage aMsg)` Fills object state based on message.
`String` | `getAcctID()` Obtains account id of included object.
`String` | `getAction()` Obtains Action string of message (I,U or D).
`int` | `getActionI()` Obtains integer constant of message Action.
`String` | `getCode()` Obtain error code.
`int` | `getCodeI()` Returns integer constant of the message code.
`String` | `getDate()` Obtain message creation time.
`String` | `getKind()` Obtain kind of the message.
`int` | `getKindI()` Returns integer constant of the message kind.
`String` | `getLocatorID1()`
`String` | `getLocatorID2()`
`long` | `getMakingTime()` Return the time when this instance of ITransportable object was made
`String` | `getMessage()` Obtain Message text.
`Long` | `getMsgID()`
`Long` | `getMsgIDExternal()`
`long` | `getObjectCode()`
`String` | `getObjectID()` Obtains ID of included object.
`String` | `getObjectType()` Obtains type of included object.
`int` | `getObjectTypeI()` Obtains integer constant of included object type.
`String` | `getOfferID()` Obtains offer id of included object.
`String` | `getPriceStream()` Obtain price stream name.
`String` | `getRequestID()` Obtains the Request ID on this object
`String` | `getServiceKind()`
`String` | `getSession()` Obtain session id or `Broadcast' value.
`String` | `getTradingSessionID()` Obtains the Trading Session ID
`String` | `getTradingSessionSubID()` Obtains the Trading Session Sub ID
`com.fxcm.entity.ICode` | `getType()` Obtains object type.
`boolean` | `isService()`
`boolean` | `isValid()` Validates object state.
`boolean` | `parse(String aRawPalmoDasMsg)` Parse PalmoDasMessage Raw PalmoDasMessage has two parts separated by chr(9) Left = header, right = body = DasMessage header structure: aDispType||';'||aServiceKind||';'||to_char(aTimeStamp, 'MMDDYYYYHH24MISS')||';'||aMsgId||';'||aLid1||';'||aLid2||';'||aSessionId||';'||aOfferId|| aDispType = 'Debug'; 'Object'; 'Regular'; 'Broadcast'; aServiceKind = 'S' - control or 'T' - trading,
`void` | `reset()` Reset object state to default values.
`void` | `setAcctID(String aAcctID)` Object ID
`void` | `setAction(String aAction)` Object ID
`void` | `setCode(String asCode)` Sets error code.
`void` | `setDate(String aDt)` Sets message creation time.
`void` | `setKind(String asKind)` Sets kind of the message.
`void` | `setLocatorID1(String aLocatorID1)` LID 1
`void` | `setLocatorID2(String aLocatorID2)` LID 2
`void` | `setMessage(String asMsg)` Sets Message text.
`void` | `setMsgID(Long aMsgID)` Message ID
`void` | `setMsgIDExternal(Long aMsgIDExternal)`
`void` | `setObjectID(String aObjectID)` Object ID
`void` | `setObjectType(String aObjectType)` Object ID
`void` | `setOfferID(String aOfferID)` Object ID
`void` | `setPriceStream(String aStreamName)` Obtain price stream name.
`void` | `setServiceKind(String aServiceKind)` Service Kind S or T
`void` | `setSession(String asSess)` Sets session id or `Broadcast' value.
`void` | `setTradingSessionID(String aTradingSessionID)` Trading Session ID
`void` | `setTradingSessionSubID(String aTradingSessionSubID)` Trading Session SubID
`IMessage` | `toMessage(String aSID, IMessageFactory aFactory)` Converts object to message.
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aOptions, IMessageFactory aFactory)` Converts object to IMessage.
`String` | `toString()` Converts object to string.
`boolean` | `update(IMessage aMsg)` Updates object state based on message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND_UNKNOWN

    public static final int KIND_UNKNOWN

  Kind constant: Unknown kind

  See Also:
    Constant Field Values

### KIND_REGULAR

    public static final int KIND_REGULAR

  Kind constant: Regular message kind

  See Also:
    Constant Field Values

### KIND_BROADCAST

    public static final int KIND_BROADCAST

  Kind constant: Broadcast message kind

  See Also:
    Constant Field Values

### KIND_OBJECT

    public static final int KIND_OBJECT

  Kind constant: Object message kind

  See Also:
    Constant Field Values

### KIND_DEBUG

    public static final int KIND_DEBUG

  Kind constant: Debug message kind

  See Also:
    Constant Field Values

### OBJTYPE_UNKNOWN

    public static final int OBJTYPE_UNKNOWN

  object type of message. Unknown

  See Also:
    Constant Field Values

### OBJTYPE_OFFER

    public static final int OBJTYPE_OFFER

  object type of message. Offer

  See Also:
    Constant Field Values

### OBJTYPE_MAIL

    public static final int OBJTYPE_MAIL

  object type of message. Mail

  See Also:
    Constant Field Values

### OBJTYPE_ACCT

    public static final int OBJTYPE_ACCT

  object type of message. Account

  See Also:
    Constant Field Values

### OBJTYPE_ORDER

    public static final int OBJTYPE_ORDER

  object type of message. Order

  See Also:
    Constant Field Values

### OBJTYPE_RFQ

    public static final int OBJTYPE_RFQ

  object type of message. RFQ

  See Also:
    Constant Field Values

### OBJTYPE_TRADE

    public static final int OBJTYPE_TRADE

  object type of message. Trade

  See Also:
    Constant Field Values

### OBJTYPE_CLSDTRADE

    public static final int OBJTYPE_CLSDTRADE

  object type of message. Closed Trade

  See Also:
    Constant Field Values

### OBJTYPE_LOGON

    public static final int OBJTYPE_LOGON

  object type of message. Logon

  See Also:
    Constant Field Values

### OBJTYPE_PARAM

    public static final int OBJTYPE_PARAM

  object type of message. System Parameter

  See Also:
    Constant Field Values

### OBJTYPE_INSTRMT

    public static final int OBJTYPE_INSTRMT

  object type of message. Instrument

  See Also:
    Constant Field Values

### OBJTYPE_OPNOPTIONE

    public static final int OBJTYPE_OPNOPTIONE

  object type of message. Open Exotic Option

  See Also:
    Constant Field Values

### OBJTYPE_CLSDOPTIONE

    public static final int OBJTYPE_CLSDOPTIONE

  object type of message. Closed Exotic Option

  See Also:
    Constant Field Values

### OBJTYPE_OPNOPTIONV

    public static final int OBJTYPE_OPNOPTIONV

  object type of message. Open Vanilla Option

  See Also:
    Constant Field Values

### OBJTYPE_CLSDOPTIONV

    public static final int OBJTYPE_CLSDOPTIONV

  object type of message. Closed Vanilla Option

  See Also:
    Constant Field Values

### OBJTYPE_COMMIT

    public static final int OBJTYPE_COMMIT

See Also:
  Constant Field Values

### CODE_UNKNOWN

    public static final int CODE_UNKNOWN

  Code constant: Unknown code

  See Also:
    Constant Field Values

### CODE_OK

    public static final int CODE_OK

  Code constant: OK code

  See Also:
    Constant Field Values

### CODE_END

    public static final int CODE_END

  Code constant: End code

  See Also:
    Constant Field Values

### CODE_ERROR

    public static final int CODE_ERROR

  Code constant: Error code

  See Also:
    Constant Field Values

### CODE_TIMEOUT

    public static final int CODE_TIMEOUT

  Code constant: Timeout code

  See Also:
    Constant Field Values

### ACTION_UNKNOWN

    public static final int ACTION_UNKNOWN

  Action Code constant: Unknown

  See Also:
    Constant Field Values

### ACTION_UPDATE

    public static final int ACTION_UPDATE

  Action Code constant: Update

  See Also:
    Constant Field Values

### ACTION_INSERT

    public static final int ACTION_INSERT

  Action Code constant: Insert

  See Also:
    Constant Field Values

### ACTION_DELETE

    public static final int ACTION_DELETE

  Action Code constant: Delete

  See Also:
    Constant Field Values

### OPTION_CLIENTEXTRA

    public static final int OPTION_CLIENTEXTRA

  Action Code constant: Unknown

  See Also:
    Constant Field Values

### OPTION_SERVEREXTRA

    public static final int OPTION_SERVEREXTRA

  Action Code constant: Update

  See Also:
    Constant Field Values

### SERVICEKIND_SERVICE

    public static final String SERVICEKIND_SERVICE

See Also:
  Constant Field Values

### SERVICEKIND_TRADING

    public static final String SERVICEKIND_TRADING

See Also:
  Constant Field Values

### SERVICEKIND_DUMMY

    public static final String SERVICEKIND_DUMMY

See Also:
  Constant Field Values

### SERVICEKIND_DELIVERED

    public static final String SERVICEKIND_DELIVERED

See Also:
  Constant Field Values

### OBJ_TYPE

    public static final com.fxcm.entity.ICode OBJ_TYPE

  Entity object type

Constructor Detail

### DasMessage

    public DasMessage()

  Creates object with default state.

Method Detail

### reset

    public void reset()

  Reset object state to default values.

### getKindI

    public int getKindI()

  Returns integer constant of the message kind.

### getCodeI

    public int getCodeI()

  Returns integer constant of the message code.

### getMessage

    public String getMessage()

  Obtain Message text.

### getDate

    public String getDate()

  Obtain message creation time.

### getSession

    public String getSession()

  Obtain session id or `Broadcast' value.

### getKind

    public String getKind()

  Obtain kind of the message. Can be `Regular' or `Broadcast'.

### getCode

    public String getCode()

  Obtain error code. `OK' on success.

### getPriceStream

    public String getPriceStream()

  Obtain price stream name.

### toString

    public String toString()

  Converts object to string.

  Overrides:
    `toString` in class `Object`

### getObjectID

    public String getObjectID()

  Obtains ID of included object.

### getAction

    public String getAction()

  Obtains Action string of message (I,U or D).

### getActionI

    public int getActionI()

  Obtains integer constant of message Action.

### getObjectType

    public String getObjectType()

  Obtains type of included object.

### getObjectTypeI

    public int getObjectTypeI()

  Obtains integer constant of included object type.

### getOfferID

    public String getOfferID()

  Obtains offer id of included object.

### getAcctID

    public String getAcctID()

  Obtains account id of included object.

### toMessage

    public IMessage toMessage(String aSID,
                              IMessageFactory aFactory)

  Converts object to message.

  Specified by:
    `toMessage` in interface `ITransportable`
  Parameters:
    `aSID` - User session ID
    `aFactory` - message factory to create message objects
  Returns:
    Can be `null` in case of errors

### toMessage

    public IMessage toMessage(String aSID,
                              String aTradingSessionID,
                              String aTradingSessionSubID,
                              String aRequestID,
                              int aOptions,
                              IMessageFactory aFactory)

  Converts object to IMessage.

  Specified by:
    `toMessage` in interface `ITransportable`
  Parameters:
    `aSID` - user session ID
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aOptions` - Set of options for message creation, one of OPTION_* codes
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### fill

    public boolean fill(IMessage aMsg)

  Fills object state based on message.

  Specified by:
    `fill` in interface `ITransportable`
  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if succeeded, `false` otherwise.

### fill

    public boolean fill(DasMessage aMsg)

  Fills object state based on message.

  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if succeeded, `false` otherwise.

### update

    public boolean update(IMessage aMsg)

  Updates object state based on message.

  Specified by:
    `update` in interface `ITransportable`
  Parameters:
    `aMsg` - message to get updated state from
  Returns:
    `true` if succeeded, `false` otherwise.

### isValid

    public boolean isValid()

  Validates object state.

  Specified by:
    `isValid` in interface `ITransportable`
  Returns:
    `true` if object state is valid, `false` otherwise.

### getType

    public com.fxcm.entity.ICode getType()

  Obtains object type.

  Specified by:
    `getType` in interface `ITransportable`
  Returns:
    code of DasMessage object type.

### getRequestID

    public String getRequestID()

  Description copied from interface: `ITransportable`
  Obtains the Request ID on this object

  Specified by:
    `getRequestID` in interface `ITransportable`

### getTradingSessionID

    public String getTradingSessionID()

  Description copied from interface: `ITransportable`
  Obtains the Trading Session ID

  Specified by:
    `getTradingSessionID` in interface `ITransportable`

### getTradingSessionSubID

    public String getTradingSessionSubID()

  Description copied from interface: `ITransportable`
  Obtains the Trading Session Sub ID

  Specified by:
    `getTradingSessionSubID` in interface `ITransportable`

### getServiceKind

    public String getServiceKind()

### isService

    public boolean isService()

### getMsgID

    public Long getMsgID()

### getLocatorID1

    public String getLocatorID1()

### getLocatorID2

    public String getLocatorID2()

### parse

    public boolean parse(String aRawPalmoDasMsg)

  Parse PalmoDasMessage Raw PalmoDasMessage has two parts separated by chr(9) Left = header, right = body = DasMessage header structure: aDispType||';'||aServiceKind||';'||to_char(aTimeStamp, 'MMDDYYYYHH24MISS')||';'||aMsgId||';'||aLid1||';'||aLid2||';'||aSessionId||';'||aOfferId|| aDispType = 'Debug'; 'Object'; 'Regular'; 'Broadcast'; aServiceKind = 'S' - control or 'T' - trading,

### setMessage

    public void setMessage(String asMsg)

  Sets Message text.

### setDate

    public void setDate(String aDt)

  Sets message creation time.

### setSession

    public void setSession(String asSess)

  Sets session id or `Broadcast' value.

### setKind

    public void setKind(String asKind)

  Sets kind of the message. Can be `Regular' or `Broadcast'.

### setCode

    public void setCode(String asCode)

  Sets error code. `OK' on success.

### setAction

    public void setAction(String aAction)

  Object ID

### setObjectID

    public void setObjectID(String aObjectID)

  Object ID

### setObjectType

    public void setObjectType(String aObjectType)

  Object ID

### setOfferID

    public void setOfferID(String aOfferID)

  Object ID

### setAcctID

    public void setAcctID(String aAcctID)

  Object ID

### setTradingSessionID

    public void setTradingSessionID(String aTradingSessionID)

  Trading Session ID

### setTradingSessionSubID

    public void setTradingSessionSubID(String aTradingSessionSubID)

  Trading Session SubID

### setServiceKind

    public void setServiceKind(String aServiceKind)

  Service Kind S or T

### setMsgID

    public void setMsgID(Long aMsgID)

  Message ID

### setLocatorID1

    public void setLocatorID1(String aLocatorID1)

  LID 1

### setLocatorID2

    public void setLocatorID2(String aLocatorID2)

  LID 2

### setPriceStream

    public void setPriceStream(String aStreamName)

  Obtain price stream name.

### getObjectCode

    public long getObjectCode()

### getMakingTime

    public long getMakingTime()

  Return the time when this instance of ITransportable object was made

  Specified by:
    `getMakingTime` in interface `ITransportable`
  Returns:
    object making time

### getMsgIDExternal

    public Long getMsgIDExternal()

### setMsgIDExternal

    public void setMsgIDExternal(Long aMsgIDExternal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.